# Vivy

## Build

### Using cmake

Simply use cmake to build in another folder of the source folder:
```
cmake -Bbuild -DCMAKE_CXX_COMPILER=clang++ -DCMAKE_C_COMPILER=clang
```

To do a debug build, use the debug switch with cmake:
`-DCMAKE_BUILD_TYPE=Debug -DCMAKE_EXPORT_COMPILE_COMMANDS=ON`. Note that
the last option is here to generate the `compile_commands.json`, you
should copy it at the root of the project.

### Dependencies

This project depends on cmake as a build system. For dependencies on
Windows and MacOS, the easier thing to do is grab qtcreator and find a
way to add the av libraries to it.

- Ubuntu/debian: Vivy depends on Qt5 and libav. On ubuntu install the
  following packages: `qtbase5-dev qtchooser qt5-qmake qtbase5-dev-tools
  libavutil-dev libavcodec-dev libavformat-dev libmpv-dev cmake clang
  clang-format libomp-dev`.
- Arch/Manjaro: TODO!
- FreeBSD and other toasters: You will need cmake, qt and av dev
  packages. Set your favorite C++ compiler with `-DCMAKE_CXX_COMPILER`
  and you're good to go.

## Licence

This software is licenced under the LGPL v3.0 or latter.

---

## TODO!
